### Method

# Gcr SecretExchange begin

#### Declaration [src]

    gchar*
    gcr_secret_exchange_begin (
      GcrSecretExchange* self
    )

#### Description [src]

Begin the secret exchange. The resulting string should be sent to the other side of the exchange. The other side should use `gcr_secret_exchange_receive()` to process the string.

#### Return value

Returns: | `gchar*`
| A newly allocated string to be sent to the other side of the secret exchange.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.